classification
Title: Add support for using a default CTE of '8bit' to MIMEText
Type: enhancement Stage: resolved
Components: email Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: 12586 Superseder:
Assigned To: Nosy List: Blame-me.Jaillie, barry, r.david.murray
Priority: normal Keywords:

Created on 2011-07-13 16:47 by r.david.murray, last changed 2016-09-08 20:31 by r.david.murray. This issue is now closed.

Messages (3)
msg140287 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-07-13 16:47
Most MTA/MTUs these days can handle 8bit just fine.  I think that the CTE for MIMEText parts should default to 8bit unless policy.must_be_7bit is set.  This will require adding support for this CTE to Charset.  The Policy docs imply that this is already the case, but it is not true for MIMEText objects.
msg161513 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-05-24 14:50
I've changed my approach.  The policy option is now 'cte_type', but moreover the default policy is now a backwards compatibility policy to which this issue doesn't apply.  The new provisional policy should get this support, but that's a somewhat bigger project and probably won't make it in to 3.3.
msg275142 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-09-08 20:31
This is now done, in the new email API that was just made no longer provisional.
History
Date User Action Args
2016-09-08 20:31:46r.david.murraysetstatus: open -> closed
versions: + Python 3.5, Python 3.6, - Python 3.4
messages: + msg275142

resolution: fixed
stage: needs patch -> resolved
2012-05-24 14:50:24r.david.murraysetnosy: + barry
components: + email, - Library (Lib)
2012-05-24 14:50:15r.david.murraysetversions: + Python 3.4, - Python 3.3
title: email should default to 8bit CTE unless policy.must_be_7bit is set -> Add support for using a default CTE of '8bit' to MIMEText
messages: + msg161513

assignee: r.david.murray ->
dependencies: + Provisional new email API: new policy implementing custom header objects
2012-03-23 01:32:34r.david.murraysetassignee: r.david.murray
2011-07-13 16:47:25r.david.murraycreate